%define Blocks      %(eval "$(%{__perl} -V:privlibexp)"; echo $privlibexp)/unicore/Blocks.txt
%define UnicodeData %{SOURCE1}
Summary:       DejaVu ttf Fonts
Name:          fonts-ttf-dejavu
Version:       2.37
Release:       %mkrel 5
License:       Bitstream Vera Fonts Copyright
Group:         System/Fonts/True type
URL:           https://dejavu.sourceforge.net/
Source0:       https://downloads.sourceforge.net/project/dejavu/dejavu/%{version}/dejavu-fonts-%{version}.tar.bz2
Source1:       UnicodeData.txt

BuildArch:     noarch
BuildRequires: fontforge
# (lm) fontconfig.prov requires fc-query to provide font(:lang=ll) & font(name)
BuildRequires: fontconfig
#BuildRequires: mkfontdir
#BuildRequires: mkfontscale
BuildRequires: perl(Font::TTF)
BuildRequires: ttmkfdir
Requires:      fonts-dejavu-common = %{version}-%{release}

%description
The DejaVu fonts are modifications of the Bitstream Vera fonts designed 
to extend this original for greater coverage of Unicode. The Bitstream Vera 
family was limited mainly to the characters in the Basic Latin and Latin-1 
Supplement portions of Unicode (roughly equivalent to ISO-8859-15) but was 
released with a license that permitted changes. The DejaVu fonts project was 
started with the aim to "provide a wider range of characters... while 
maintaining the original look and feel through the process of collaborative 
development".

%package -n fonts-dejavu-common
Group:         System/Fonts/True type
Summary:       Common files for the Dejavu font set

%description -n fonts-dejavu-common
The DejaVu fonts are a font family based on the Bitstream Vera Fonts
(https://gnome.org/fonts/). Its purpose is to provide a wider range of
characters (see status.txt for more information) while maintaining the
original look and feel.

This package consists of files used by other DejaVu packages.

%package -n fonts-ttf-dejavu-lgc
Group:         System/Fonts/True type
Summary:       Variable-width serif font faces, Latin-Greek-Cyrillic subset
Requires:      fonts-dejavu-common = %{version}-%{release}

%description -n fonts-ttf-dejavu-lgc
The DejaVu fonts are a font family based on the Bitstream Vera Fonts
(https://gnome.org/fonts/). Its purpose is to provide a wider range of
characters (see status.txt for more information) while maintaining the
original look and feel.

DejaVu fonts are based on Bitstream Vera fonts version 1.10.

Available fonts (Sans = sans serif, Mono = monospaced):

DejaVu Sans Mono
DejaVu Sans Mono Bold
DejaVu Sans Mono Bold Oblique
DejaVu Sans Mono Oblique
DejaVu Sans
DejaVu Sans Bold
DejaVu Sans Bold Oblique
DejaVu Sans Oblique
DejaVu Sans ExtraLight (experimental)
DejaVu Serif
DejaVu Serif Bold
DejaVu Serif Bold Italic (experimental)
DejaVu Serif Italic (experimental)
DejaVu Sans Condensed (experimental)
DejaVu Sans Condensed Bold (experimental)
DejaVu Sans Condensed Bold Oblique (experimental)
DejaVu Sans Condensed Oblique (experimental)
DejaVu Serif Condensed (experimental)
DejaVu Serif Condensed Bold (experimental)
DejaVu Serif Condensed Bold Italic (experimental)
DejaVu Serif Condensed Italic (experimental)

All fonts are also available as derivative called DejaVu LGC with support
only for Latin, Greek and Cyrillic scripts.

%prep
%setup -q -n dejavu-fonts-%{version}

%build
%make_build VERSION=%{version} FC-LANG="" BLOCKS=%{Blocks} UNICODEDATA=%{UnicodeData}

bzip2 -9 build/status.txt

%check
make check

%install
mkdir -p %{buildroot}%{_datadir}/fonts/TTF/dejavu
# default path for openjdk  %{_datadir}/fonts/TTF/dejavu-lgc
mkdir -p %{buildroot}%{_datadir}/fonts/TTF/dejavu-lgc

mkdir ttflgc
mv build/DejaVuLGC*.ttf ttflgc

install -m 644 build/*.ttf %{buildroot}%{_datadir}/fonts/TTF/dejavu

install -m 644 ttflgc/*.ttf %{buildroot}%{_datadir}/fonts/TTF/dejavu-lgc

ttmkfdir %{buildroot}%{_datadir}/fonts/TTF/dejavu > %{buildroot}%{_datadir}/fonts/TTF/dejavu/fonts.dir
ln -s fonts.dir %{buildroot}%{_datadir}/fonts/TTF/dejavu/fonts.scale

#mkfontdir %{buildroot}%{_datadir}/fonts/TTF/dejavu
#mkfontscale %{buildroot}%{_datadir}/fonts/TTF/dejavu

ttmkfdir %{buildroot}%{_datadir}/fonts/TTF/dejavu-lgc > %{buildroot}%{_datadir}/fonts/TTF/dejavu-lgc/fonts.dir
ln -s fonts.dir %{buildroot}%{_datadir}/fonts/TTF/dejavu-lgc/fonts.scale

#mkfontdir %{buildroot}%{_datadir}/fonts/TTF/dejavu-lgc
#mkfontscale %{buildroot}%{_datadir}/fonts/TTF/dejavu-lgc

mkdir -p %{buildroot}%{_sysconfdir}/fonts/{conf.d,conf.avail}

install -m0644 fontconfig/*.conf %{buildroot}%{_sysconfdir}/fonts/conf.avail
pushd %{buildroot}%{_sysconfdir}/fonts/conf.avail
  for f in *.conf; do
    ln -s ../conf.avail/$f ../conf.d/$f
  done
popd

mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_datadir}/fonts/TTF/dejavu \
  %{buildroot}%{_sysconfdir}/X11/fontpath.d/ttf-dejavu:pri=50
# TODO
#ln -s ../../..%{_datadir}/fonts/TTF/dejavu-lgc \
#  %{buildroot}%{_sysconfdir}/X11/fontpath.d/ttf-dejavu-lgc:pri=50

# TODO
#%post
#if [ -x %{_bindir}/fc-cache ]; then
#   %{_bindir}/fc-cache %{_datadir}/fonts
#fi
#:

#%postun
#if [ "$1" = "0" ]; then
#   if [ -x %{_bindir}/fc-cache ]; then
#      %{_bindir}/fc-cache %{_datadir}/fonts
#   fi
#fi
#:

%files
%dir %{_datadir}/fonts/TTF/dejavu
%{_datadir}/fonts/TTF/dejavu/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/dejavu/fonts.dir
%{_datadir}/fonts/TTF/dejavu/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-dejavu:pri=50
%{_sysconfdir}/fonts/conf.avail/*-dejavu-sans.conf
%{_sysconfdir}/fonts/conf.avail/*-dejavu-sans-mono.conf
%{_sysconfdir}/fonts/conf.avail/*-dejavu-serif.conf
%{_sysconfdir}/fonts/conf.d/*-dejavu-sans.conf
%{_sysconfdir}/fonts/conf.d/*-dejavu-sans-mono.conf
%{_sysconfdir}/fonts/conf.d/*-dejavu-serif.conf

# TODO
#%post -n fonts-ttf-dejavu-lgc
#if [ -x %{_bindir}/fc-cache ]; then
#   %{_bindir}/fc-cache %{_datadir}/fonts
#fi
#:

#%postun -n fonts-ttf-dejavu-lgc
#if [ "$1" = "0" ]; then
#   if [ -x %{_bindir}/fc-cache ]; then
#      %{_bindir}/fc-cache %{_datadir}/fonts
#   fi
#fi
#:

%files -n fonts-ttf-dejavu-lgc
%{_sysconfdir}/fonts/conf.avail/*-lgc-*.conf
%{_sysconfdir}/fonts/conf.d/*-lgc-*.conf
#%{_sysconfdir}/X11/fontpath.d/ttf-dejavu-lgc:pri=50
%dir %{_datadir}/fonts/TTF/dejavu-lgc
%{_datadir}/fonts/TTF/dejavu-lgc/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/dejavu-lgc/fonts.dir
%{_datadir}/fonts/TTF/dejavu-lgc/fonts.scale

%files -n fonts-dejavu-common
%doc AUTHORS BUGS LICENSE NEWS README.md
%doc build/unicover.txt build/status.txt.bz2


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.37-5.mga10
+ Revision: 2212879
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 2.37-4.mga9
+ Revision: 1835837
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 2.37-3.mga8
+ Revision: 1489431
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.37-2.mga7
+ Revision: 1260436
- Mageia 7 Mass Rebuild

* Thu Aug 11 2016 luigiwalser <luigiwalser> 2.37-1.mga6
+ Revision: 1045507
- 2.37

* Sun Apr 17 2016 neoclust <neoclust> 2.35-2.mga6
+ Revision: 1003138
- Rebuild because of missing signature

* Sun Jan 03 2016 luigiwalser <luigiwalser> 2.35-1.mga6
+ Revision: 918735
- 2.35

* Wed Oct 15 2014 umeabot <umeabot> 2.34-4.mga5
+ Revision: 748886
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.34-3.mga5
+ Revision: 679268
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.34-2.mga4
+ Revision: 533125
- Mageia 4 Mass Rebuild

* Mon Aug 26 2013 luigiwalser <luigiwalser> 2.34-1.mga4
+ Revision: 471824
- 2.34

* Sun Mar 24 2013 tv <tv> 2.33-4.mga3
+ Revision: 404908
- add fontconfig as BuildRequires to provide font(:lang=ll) & font(name)

* Fri Jan 11 2013 umeabot <umeabot> 2.33-3.mga3
+ Revision: 350672
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 anssi <anssi> 2.33-2.mga3
+ Revision: 299360
- remove nonsensical runtime requires on perl
+ gil <gil>
- rebuilt from sources

* Wed Mar 09 2011 ahmad <ahmad> 2.33-1.mga1
+ Revision: 66725
- update to 2.33

* Wed Jan 12 2011 pterjan <pterjan> 2.31-1.mga1
+ Revision: 7200
- Use newly introduced ttmkfdir package
- imported package fonts-ttf-dejavu


* Tue Aug 03 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.31-1mdv2011.0
+ Revision: 565190
- update to 2.31

* Wed Jan 20 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.30-2mdv2010.1
+ Revision: 494134
- fc-cache is now called by an rpm filetrigger

* Sat Aug 29 2009 Frederik Himpe <fhimpe@mandriva.org> 2.30-1mdv2010.0
+ Revision: 422268
- update to new version 2.30

* Wed Mar 11 2009 Frederik Himpe <fhimpe@mandriva.org> 2.29-1mdv2009.1
+ Revision: 353964
- update to new version 2.29

* Tue Dec 23 2008 Funda Wang <fwang@mandriva.org> 2.28-1mdv2009.1
+ Revision: 317752
- update to new version 2.28

* Wed Nov 12 2008 Funda Wang <fwang@mandriva.org> 2.27-1mdv2009.1
+ Revision: 302492
- update to new version 2.27

* Mon Jul 28 2008 Funda Wang <fwang@mandriva.org> 2.26-1mdv2009.0
+ Revision: 250774
- update to new version 2.26

* Wed May 21 2008 Funda Wang <fwang@mandriva.org> 2.25-1mdv2009.0
+ Revision: 209657
- update to new version 2.25

* Mon Apr 21 2008 Funda Wang <fwang@mandriva.org> 2.24-1mdv2009.0
+ Revision: 196287
- New version 2.24

* Tue Jan 22 2008 Funda Wang <fwang@mandriva.org> 2.23-1mdv2008.1
+ Revision: 156289
- update to new version 2.23

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fwang@mandriva.org> 2.22-1mdv2008.1
+ Revision: 120483
- New version 2.22

* Thu Nov 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.21-1mdv2008.1
+ Revision: 104491
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - fix description (not a copyright notice, not about build process)

* Tue Oct 09 2007 Funda Wang <fwang@mandriva.org> 2.20-1mdv2008.1
+ Revision: 96028
- New version 2.20

* Tue Aug 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.19-1mdv2008.0
+ Revision: 59848
- better description
- spec file clean
- new version

* Fri Jul 06 2007 Funda Wang <fwang@mandriva.org> 2.18-1mdv2008.0
+ Revision: 48858
- New version

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.17-3mdv2008.0
+ Revision: 48751
- normalize fontpath.d symlink name (based on pkg name)
- fontpath.d conversion (#31756)

* Thu May 17 2007 Funda Wang <fwang@mandriva.org> 2.17-1mdv2008.0
+ Revision: 27536
- New upstream version 2.17

* Sun Apr 29 2007 Funda Wang <fwang@mandriva.org> 2.16-1mdv2008.0
+ Revision: 19133
- New upstream version 2.16


* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 2.15-2mdv2007.1
+ Revision: 144604
- drop huge status.txt file (853k of not useful character/version table)

* Mon Feb 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.15-1mdv2007.1
+ Revision: 125924
- new release

* Fri Jan 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.14-1mdv2007.1
+ Revision: 113950
- new release

* Mon Nov 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.12-1mdv2007.1
+ Revision: 85530
- new release

* Thu Nov 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.11-1mdv2007.1
+ Revision: 84975
- new release

* Wed Oct 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.10-1mdv2007.1
+ Revision: 66059
- new release

* Wed Sep 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.9-1mdv2007.0
+ Revision: 60114
- new release (fix cyrillic issue #25216)

* Sat Aug 05 2006 Helio Chissini de Castro <helio@mandriva.com> 2.8-1mdv2007.0
+ Revision: 52886
- Normalize fonts with new paths
- import fonts-ttf-dejavu-2.8-1mdv2007.0

* Fri Jul 28 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.8-1mdv2007.0
- new release

* Fri Jul 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.7-1mdv2007.0
- new release

* Tue May 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.6-1mdk
- new release

* Wed Apr 26 2006 Frederic Crozat <fcrozat@mandriva.com> 2.5-1mdk
- Release 2.5 (fix ligature bug with latest pango)

* Tue Mar 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.3-1mdk
- new release

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.2-2mdk
- Never ship fonts.cache-2
- fix prereq

* Wed Jan 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.2-1mdk
- new release

* Tue Nov 15 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0-2mdk
- fontconfig cache name has changed

* Tue Nov 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.0-1mdk
- new release

* Wed Jul 27 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.11-1mdk
- new release

* Thu May 26 2005 Abel Cheung <deaddog@mandriva.org> 1.10-1mdk
- New release 1.10

* Wed May 04 2005 Abel Cheung <deaddog@mandriva.org> 1.9-1mdk
- New release 1.9
- Mark attributes for various files

* Wed Feb 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7-1mdk
- new release

* Tue Nov 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4-1mdk
- new release (merged with Owen & BePa fonts)
- fix package (enable to rebuild on version bumping)

* Tue Aug 10 2004 Robert Vojta <robert.vojta@mandrake.org> 1.1-2mdk
- README file added
- better description (based on the README file)

* Fri Aug 06 2004 Petr Spatka <petr.spatka@kamarad.cz> 1.1-1mdk
- Initial build. Based on fonts-ttf-vera.spec from Mandrake.

